| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
System Sip Entity

System Sip Entity and Trusted Ports Definitions and Methods. More...

## Classes
struct | unsp__SystemSipEntry
| System Sip Entry. More...
struct | unsp__SystemSipEntryInfoRequest
| System Sip Entry Information request. More...
struct | unsp__SystemSipEntryRequest
| System Sip Entry request. More...
struct | unsp__SystemSipEntryResult
| System Sip Entry result. More...
struct | unsp__GetSystemSipEntryInfoResult
| Get System Sip Entry Information result. More...
struct | unsp__GetSystemSipEntryListRequest
| Get System Sip Entry List request. More...
struct | unsp__GetSystemSipEntryListData
| List of System Sip Entry IDs. More...
struct | unsp__SystemSipIpPort
| List of System Sip Entry IDs. More...
struct | unsp__GetSystemSipEntryExtendedListData
| List of System Sip Entry IDs. More...
struct | unsp__GetSystemSipEntryListResult
| Get System Sip Entry List result. More...
struct | unsp__PortRangeEntry
| Port Range. More...
struct | unsp__PortRangeList
| List of Port Ranges. More...
struct | unsp__PortRangeListDataEntry
| Port Range List Data Entry. More...
struct | unsp__PortRangeListData
| Port Range List List data. More...
struct | unsp__PortRangeResultEntry
| Port Range result entry. More...
struct | unsp__PortRangeResultList
| Port Range result List. More...
struct | unsp__SipTrustedEntityPortsRequest
| Sip Trusted Entity Ports request. More...
struct | unsp__SipTrustedEntityPortsResult
| Sip Trusted Entity Ports result. More...
struct | unsp__GetSipTrustedEntityPortsListRequest
| Get Sip Trusted Entity Ports List request. More...
struct | unsp__GetSipTrustedEntityPortsListResult
| Get Sip Trusted Entity Ports List result. More...

## Enumerations
enum | unsp__RealmIDType { Ip, fqdn }
| The HTTP Digest identification type. More...

## Functions
int | unsp__AddSystemSipEntry (struct unsp__SystemSipEntryInfoRequest AddSystemSipEntryRequest, struct unsp__SystemSipEntryResult *AddSystemSipEntryResult)
| Creates a secure System SIP Entity. More...
int | unsp__ModifySystemSipEntry (struct unsp__SystemSipEntryInfoRequest ModifySystemSipEntryRequest, struct unsp__SystemSipEntryResult *ModifySystemSipEntryResult)
| Modifies a secure System SIP Entity. More...
int | unsp__DeleteSystemSipEntry (struct unsp__SystemSipEntryRequest DeleteSystemSipEntryRequest, struct unsp__SystemSipEntryResult *DeleteSystemSipEntryResult)
| Deletes a secure System SIP Entity. More...
int | unsp__GetSystemSipEntryInfo (struct unsp__SystemSipEntryRequest GetSystemSipEntryInfoRequest, struct unsp__GetSystemSipEntryInfoResult *GetSystemSipEntryInfoResult)
| Queries a secure System SIP Entity. More...
int | unsp__GetSystemSipEntryList (struct unsp__GetSystemSipEntryListRequest GetSystemSipEntryListRequest, struct unsp__GetSystemSipEntryListResult *GetSystemSipEntryListResult)
| This method is used to retrieve and display the list of existing system SIP security entries. More...
int | unsp__AddSipTrustedEntityPorts (struct unsp__SipTrustedEntityPortsRequest AddSipTrustedEntityPortsRequest, struct unsp__SipTrustedEntityPortsResult *AddSipTrustedEntityPortsResult)
| This method is used to add port ranges to a SIP Entity. More...
int | unsp__RemoveSipTrustedEntityPorts (struct unsp__SipTrustedEntityPortsRequest RemoveSipTrustedEntityPortsRequest, struct unsp__SipTrustedEntityPortsResult *RemoveSipTrustedEntityPortsResult)
| This method is used to remove port ranges from a SIP Entity. More...
int | unsp__GetSipTrustedEntityPortsList (struct unsp__GetSipTrustedEntityPortsListRequest GetSipTrustedEntityPortsListRequest, struct unsp__GetSipTrustedEntityPortsListResult *GetSipTrustedEntityPortsListResult)
| This method is used to retrieve and display the list of port ranges assigned to a SIP Entity. More...

## Detailed Description

System Sip Entity and Trusted Ports Definitions and Methods.

Digest Authentication protects access to the OpenScape Voice server on the SIP interface by requesting authentication (identity verification) of the remote parties (such as other SIP servers and SIP clients). The administrator may configure System Sip entities (realms), indicate whether they are trusted and specify the range of their ports which are trusted.

## Enumeration Type Documentation

## ◆ unsp__RealmIDType

enum unsp__RealmIDType

The HTTP Digest identification type.

Enumerator
Ip | IP Address.
fqdn | Fully qualified domain name.

## Function Documentation

## ◆ unsp__AddSipTrustedEntityPorts()

unsp__AddSipTrustedEntityPorts | ( | struct unsp__SipTrustedEntityPortsRequest | AddSipTrustedEntityPortsRequest,
|  | struct unsp__SipTrustedEntityPortsResult * | AddSipTrustedEntityPortsResult
| ) |  |

This method is used to add port ranges to a SIP Entity.

A list of port ranges may be provided in this request, and there may be cases in which some port ranges cannot be successfully assigned to the given SIP Entity. In this case, those ports are skipped and processing continues in an attempt to assign the remaining port ranges in the list provided. The response to the operator includes a list of port ranges that could not be added along with an error message indicating the reason for the failure.

Parameters

  AddSipTrustedEntityPortsRequest | API request
  AddSipTrustedEntityPortsResult | API result MP2 command: ATPRT [Attributes]

## ◆ unsp__AddSystemSipEntry()

unsp__AddSystemSipEntry | ( | struct unsp__SystemSipEntryInfoRequest | AddSystemSipEntryRequest,
|  | struct unsp__SystemSipEntryResult * | AddSystemSipEntryResult
| ) |  |

Creates a secure System SIP Entity.

Parameters

  AddSystemSipEntryRequest | API request
  AddSystemSipEntryResult | API result MP2 command: ASSE [Attributes]

## ◆ unsp__DeleteSystemSipEntry()

unsp__DeleteSystemSipEntry | ( | struct unsp__SystemSipEntryRequest | DeleteSystemSipEntryRequest,
|  | struct unsp__SystemSipEntryResult * | DeleteSystemSipEntryResult
| ) |  |

Deletes a secure System SIP Entity.

Parameters

  DeleteSystemSipEntryRequest | API request
  DeleteSystemSipEntryResult | API result MP2 command: DSSE [Attributes]

## ◆ unsp__GetSipTrustedEntityPortsList()

unsp__GetSipTrustedEntityPortsList | ( | struct unsp__GetSipTrustedEntityPortsListRequest | GetSipTrustedEntityPortsListRequest,
|  | struct unsp__GetSipTrustedEntityPortsListResult * | GetSipTrustedEntityPortsListResult
| ) |  |

This method is used to retrieve and display the list of port ranges assigned to a SIP Entity.

If the IP address of a SIP Entity is provided, the list of port ranges that are assigned to this entity will be displayed. If the IP address is omitted, the entire list of existing SIP Entities will be displayed along with all of their corresponding port ranges.

Parameters

  GetSipTrustedEntityPortsListRequest | API request
  GetSipTrustedEntityPortsListResult | API result

## ◆ unsp__GetSystemSipEntryInfo()

unsp__GetSystemSipEntryInfo | ( | struct unsp__SystemSipEntryRequest | GetSystemSipEntryInfoRequest,
|  | struct unsp__GetSystemSipEntryInfoResult * | GetSystemSipEntryInfoResult
| ) |  |

Queries a secure System SIP Entity.

Parameters

  GetSystemSipEntryInfoRequest | API request
  GetSystemSipEntryInfoResult | API result

## ◆ unsp__GetSystemSipEntryList()

unsp__GetSystemSipEntryList | ( | struct unsp__GetSystemSipEntryListRequest | GetSystemSipEntryListRequest,
|  | struct unsp__GetSystemSipEntryListResult * | GetSystemSipEntryListResult
| ) |  |

This method is used to retrieve and display the list of existing system SIP security entries.

The result data contains a list of SIP Entity IDs. For detailed information about one of the SIP Entity IDs in the list, the GetSystemSIPEntryInfo method can be used.

Parameters

  GetSystemSipEntryListRequest | API request
  GetSystemSipEntryListResult | API result

## ◆ unsp__ModifySystemSipEntry()

unsp__ModifySystemSipEntry | ( | struct unsp__SystemSipEntryInfoRequest | ModifySystemSipEntryRequest,
|  | struct unsp__SystemSipEntryResult * | ModifySystemSipEntryResult
| ) |  |

Modifies a secure System SIP Entity.

Parameters

  ModifySystemSipEntryRequest | API request
  ModifySystemSipEntryResult | API result MP2 command: MSSE [Attributes]

## ◆ unsp__RemoveSipTrustedEntityPorts()

unsp__RemoveSipTrustedEntityPorts | ( | struct unsp__SipTrustedEntityPortsRequest | RemoveSipTrustedEntityPortsRequest,
|  | struct unsp__SipTrustedEntityPortsResult * | RemoveSipTrustedEntityPortsResult
| ) |  |

This method is used to remove port ranges from a SIP Entity.

A list of port ranges may be provided in this request, and there may be cases in which some port ranges cannot be successfully removed from the given SIP Entity. In this case, those ports are skipped and processing continues in an attempt to remove the remaining port ranges in the list provided. The response to the operator includes a list of port ranges that could not be removed along with an error message indicating the reason for the failure.

Parameters

  RemoveSipTrustedEntityPortsRequest | API request
  RemoveSipTrustedEntityPortsResult | API result MP2 command: RTPRT [Attributes]